using System;
using System.Collections.Generic;
using BeWo.Data.Entities;
using BeWo.Report.ReportObjects;


namespace BeWo.DieDueneReports
{
	public class DieDueneMitarbeiterstundenkontoBerechnung : MitarbeiterstundenkontoBerechnung
	{
		

		public override decimal GetArbeitstageImBereich(DateTime von, DateTime bis, Employee emp)
		{
			Contract c = GetNextValidContractForDate(von, emp);

			if (c != null && c.WeeklyTotalHours.HasValue)
			{
				int stunden = (int) Math.Round(c.WeeklyTotalHours.Value*4.33m, 0, MidpointRounding.AwayFromZero);
				decimal tage = stunden/(c.WeeklyTotalHours.Value/5);

				return tage;
			}


			return base.GetArbeitstageImBereich(von, bis, emp);
		}
	}
}
